﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Win_Toolbar_Customization_CSharp
{
    public partial class Form1 : Form
    {
        Point currentPosition;

        public Form1()
        {
            InitializeComponent();
            C1ToolBar1.DrawLink += new C1.Win.C1Command.DrawLinkEventHandler(C1ToolBar1_DrawLink);
            C1ToolBar1.MouseLeave += new EventHandler(C1ToolBar1_MouseLeave);
            C1ToolBar1.MouseMove += new MouseEventHandler(C1ToolBar1_MouseMove);
        }

        void C1ToolBar1_MouseMove(object sender, MouseEventArgs e)
        {
            currentPosition = e.Location;
        }        

        void C1ToolBar1_MouseLeave(object sender, EventArgs e)
        {
            currentPosition = new Point(-1,-1);   
        }

        void C1ToolBar1_DrawLink(object sender, C1.Win.C1Command.DrawLinkEventArgs e)
        {
            if (!e.Link.Bounds.Contains(currentPosition))
            {
                Image imag = e.Link.Command.Image;
                string txt = e.Link.Text;

                e.Graphics.DrawRectangle(Pens.Blue, new Rectangle(e.Bounds.X, e.Bounds.Y, e.Bounds.Width - 1, e.Bounds.Height));


                Point imgPt = new Point(e.Link.ImageRect.X, e.Link.ImageRect.Y + 3);
                e.Graphics.DrawImage(imag, imgPt);

                Point pt = new Point(e.Bounds.X + e.Link.ImageRect.Width - 2, 6);
                e.Graphics.DrawString(txt, C1ToolBar1.Font, Brushes.Red, pt);

                e.Done = true;

            }

        }
    }
}
